TRUNC(3)

NAME
trunc - truncate to integer value

SYNOPSIS
#include <math.h>
double
trunc(double x);
long double
truncl(long double x);
float
truncf(float x);

DESCRIPTION
The trunc() functions return the integral value nearest to but no larger in magnitude than x.

SPECIAL VALUES
trunc(±0) returns ±0.

trunc(±infinity) returns ±infinity.

VECTOR OPERATIONS
If you need to apply the trunc() function to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vintf(vFloat x);
void vvintf(float *y, const float *x, const int *n);
void vvint(double *y, const double *x, const int *n);

SEE ALSO
ceil(3), floor(3), round(3), math(3)

STANDARDS
The trunc() functions conform to ISO/IEC 9899:2011.